package com.mofang.travel.marketing.base.enums;

/**
 * 返回数据枚举 demo
 */
public enum StatusEnum {

    OK(200, "操作成功"),
    FALSE(-1, "未知异常错误");

    private int code;
    private String message;

    StatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public static StatusEnum getEnum(Integer code) {
        for (StatusEnum scene : StatusEnum.values()) {
            if (scene.getCode() == code.intValue()) {
                return scene;
            }
        }
        return null;
    }
}
